petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMDAVecRestoreArrayDOF

Restores a multiple dimension array obtained with DMDAVecGetArrayDOF()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDAVecRestoreArrayDOF(DM da,Vec vec,void *array)

Logically collective

### Input Parameter

| da | - the distributed array
| vec | - the vector, either a vector the same size as one obtained with DMCreateGlobalVector() or DMCreateLocalVector()
| array | - the array

### See Also

DMDAGetGhostCorners(), DMDAGetCorners(), VecGetArray(), VecRestoreArray(), DMDAVecGetArray(), DMDAVecGetArrayDOF(), DMDAVecRestoreArrayDOF(),
DMDAVecGetArrayWrite(), DMDAVecRestoreArrayWrite(), DMDAVecGetArrayRead(), DMDAVecRestoreArrayRead(), DMStagVecRestoreArrayDOF()

### Level

intermediate

### Location

src/dm/impls/da/dagetarray.c

### Examples

src/dm/examples/tutorials/ex15.c.html
src/dm/examples/tutorials/ex51.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
src/ts/examples/tutorials/ex12.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages